Bug 244497 - wrong permissions on /usr/share/doc/ez-ipupdate-3.0.11/
Summary: wrong permissions on /usr/share/doc/ez-ipupdate-3.0.11/
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ez-ipupdate   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Layton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-16 05:46 UTC by J. Randall Owens
Modified: 2014-06-18 07:36 UTC (History)
1 user (show)

Fixed In Version: 3.0.11-0.14.b8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 15:23:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for SPECS/ez-ipupdate.spec (1.22 KB, patch)
2007-06-16 05:46 UTC, J. Randall Owens
no flags Details | Diff
updated patch for SPECS/ez-ipupdate.spec (1.25 KB, patch)
2007-06-16 06:59 UTC, J. Randall Owens
no flags Details | Diff

Description J. Randall Owens 2007-06-16 05:46:50 UTC
Description of problem:
The documentation directory of ez-ipupdate lacks execute permissions, so the
contents can't be read.

Version-Release number of selected component (if applicable):
3.0.11-0.12.b8.fc6

How reproducible:
install ez-ipupdate-3.0.11-0.12.b8.fc6

Steps to Reproduce:
1. ls -ld /usr/share/doc/ez-ipupdate-3.0.11/
2. cd /usr/share/doc/ez-ipupdate-3.0.11/
  
Actual results:
drw-r--r-- 2 root root 4096 2007-06-06 23:19 /usr/share/doc/ez-ipupdate-3.0.11/

/usr/share/doc/ez-ipupdate-3.0.11/: Permission denied.

Expected results:
drwxr-xr-x 2 root root 4096 2007-06-06 23:19 /usr/share/doc/ez-ipupdate-3.0.11/

changed pwd

Additional info:
I got this from the Fedora 7 release, but the filename indicates FC6. So I'm not
sure which to mark it for above. I'm going F7, but make sure it gets to the FC6
repository too, of course (and maybe check older ones too).

Attached patch to apply to specfile, fixes the directory, adds back in the
overlooked example.conf while I'm at it, bumps the release number (I'm not sure
which part you like to bump for minor fixes, I went b8 -> b9), and includes a
changelog entry.

Comment 1 J. Randall Owens 2007-06-16 05:46:50 UTC
Created attachment 157179 [details]
patch for SPECS/ez-ipupdate.spec

Comment 2 J. Randall Owens 2007-06-16 06:59:21 UTC
Created attachment 157181 [details]
updated patch for SPECS/ez-ipupdate.spec

Woops, that was the wrong version of the patch, it left out one change. Try
this one instead.

Comment 3 Jeff Layton 2007-06-17 02:45:16 UTC
Thanks for the patch. Looks good except for the version number which I've fixed.
FC6 packages are built and in plague results dir:

http://buildsys.fedoraproject.org/plague-results/fedora-6-extras/ez-ipupdate/

They should get pushed out in a few days. Also fixed and pushed to testing for
F7 and fixed in devel CVS too. I'll close this once I confirm that the package
is in FC6 updates...


Comment 4 Jeff Layton 2007-06-18 14:30:19 UTC
Patched package should now be available via yum.


Comment 5 Fedora Update System 2007-06-18 16:39:18 UTC
ez-ipupdate-3.0.11-0.14.b8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-11 15:22:56 UTC
ez-ipupdate-3.0.11-0.14.b8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.